Page MenuHomePhabricator

Investigate Apple Maps and WMF OSM implementations
Closed, ResolvedPublic

Description

We have the choice to use Apple Maps or the WMF tile server, and Mapbox as the API or Apple Maps as the API.

Apart from political issues, I'd like to get a technical determination of how useable the WMF tiles are, if mapbox is a viable alternative to Apple Maps, and what the differences will be in technical terms.

Specifically, any info regarding:

  • Time to render maps, especially on zoom or drag
  • Client side control over visual presentation
  • Data usage (ie. transmission and storage costs)
  • API and maintenance

Comments on visual quality and values issues welcome, but not required for this task.

Event Timeline

JMinor created this task.Jan 3 2017, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 7:45 PM

The Mapbox framework is 38MB - more than twice as large as our next largest framework - HockeySDK at 17MB. Most frameworks are in the 1MB range.

I'd say the added download size and launch time (see https://phabricator.wikimedia.org/T149608) disqualify Mapbox.

Unfortunately it looks like the WMF tile service can't be used with Apple's MapKit - the tiles could only be added as a layer on top of the built-in map.

JMinor closed this task as Resolved.Jan 19 2017, 7:52 PM
JMinor triaged this task as Medium priority.
mxn added a subscriber: mxn.Mar 21 2017, 8:55 PM

The Mapbox framework is 38MB - more than twice as large as our next largest framework - HockeySDK at 17MB.

The size of the Mapbox iOS SDK package you download doesn’t necessarily reflect the size added to the App Store download or the additional space taken up when installed on disk. (For one thing, simulator content automatically gets stripped out at submission time.) From what my colleagues at Mapbox have seen, the stripped dynamic framework ultimately adds about 5–6 MB to the application size.

If the stripped dynamic framework remains too large, another option is to use the static library flavor of the SDK (available for download on GitHub). The size ultimately added to the application will depend on the extent to which you use features like runtime styling and offline maps.

(Full disclosure: I work on the Mapbox iOS SDK by day.)

@mxn I realize that the download size and install size don't correlate 1:1. I used the relative download sizes to indicate that it'd be our largest framework by roughly a factor of two. The way I phrased my previous comment doesn't make this clear, so thank you for clarifying and for pointing out the static library options.